Apache JMeter

## org.apache.jmeter.reporters
Enum MailerModel.MailAuthType

    java.lang.Object
      java.lang.Enum<MailerModel.MailAuthType>
          org.apache.jmeter.reporters.MailerModel.MailAuthType

All Implemented Interfaces:
  Serializable, Comparable<MailerModel.MailAuthType>

Enclosing class:
  MailerModel

    public static enum MailerModel.MailAuthType

extends Enum<MailerModel.MailAuthType>

Enum Constant Summary
`NONE`
`SSL`
`TLS`

Method Summary
`static MailerModel.MailAuthType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MailerModel.MailAuthType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SSL

    public static final MailerModel.MailAuthType SSL

### TLS

    public static final MailerModel.MailAuthType TLS

### NONE

    public static final MailerModel.MailAuthType NONE

Method Detail

### values

    public static final MailerModel.MailAuthType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MailerModel.MailAuthType c : MailerModel.MailAuthType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MailerModel.MailAuthType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.